summaryrefslogtreecommitdiff
path: root/taler-build/update_merchant_frontends.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build/update_merchant_frontends.sh')
-rwxr-xr-xtaler-build/update_merchant_frontends.sh22
1 files changed, 12 insertions, 10 deletions
diff --git a/taler-build/update_merchant_frontends.sh b/taler-build/update_merchant_frontends.sh
index 3a1324e..8713b08 100755
--- a/taler-build/update_merchant_frontends.sh
+++ b/taler-build/update_merchant_frontends.sh
@@ -2,16 +2,18 @@
set -eu
-cd $HOME/merchant-frontends/
-git clean -fxd
+for frontend in blog donations survey; do
+ cd $HOME/frontend/
+ git clean -fxd
-git fetch
-# reset to updated upstream branch, but only if we're tracking a branch
-branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
-git reset --hard "$branch"
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
-git submodule update --init --force
+ git submodule update --init --force
-./bootstrap
-./configure --prefix="$HOME/local"
-make install check
+ ./bootstrap
+ ./configure --prefix="$HOME/local"
+ make install check
+done